Subject: elogind crashes with needrestart's defaults

From: Rene Kita <[email-masked]>
Date: Mon, 18 Oct 2021 12:32:52 +0200

Package: elogind
Version: 246.10-2
Severity: normal

Dear Maintainer,

   * What led up to the situation?
   After upgrading 'elogind' 'needrestart' prompts to choose which
   services should be restarted. 'elogind' is checked by default.
   When confirming the default choice 'X' crashes and I end up on a
   virtual console.

   * What outcome did you expect instead?
   I expected it to either not crash or not suggest to restart.

My system boots to a virtual console and I use 'startx' to get a
graphical session. My window manager is i3.

If more information or testing is needed, I'll provide it.

-- System Information:
Distributor ID:	Devuan
Description:	Devuan GNU/Linux 4 (chimaera)
Release:	4
Codename:	chimaera
Architecture: x86_64

Kernel: Linux 5.10.0-9-amd64 (SMP w/2 CPU threads)
Kernel taint flags: TAINT_WARN
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), LANGUAGE=en_US:en
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled

Versions of packages elogind depends on:
ii  dbus                  1.12.20-2+devuan2
ii  debconf               1.5.77
ii  init-system-helpers   1.60+devuan1
ii  libacl1               2.2.53-10
ii  libc6                 2.31-13+deb11u2
ii  libcap2               1:2.44-1
ii  libelogind0           246.10-2
ii  libeudev1 [libudev1]  3.2.9-10~chimaera1
ii  libpam0g              1.4.0-9+deb11u1
ii  libselinux1           3.1-3
ii  lsb-base              11.1.0

Versions of packages elogind recommends:
ii  libpam-elogind  246.10-2
ii  policykit-1     0.105-31+devuan1

elogind suggests no packages.

-- no debconf information